Bug 841984 - Creating new user displays confusing/misleading notification
Creating new user displays confusing/misleading notification
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Adam Price
Og Maciel
: Triaged
: 854275 (view as bug list)
Depends On:
Blocks: 854278
  Show dependency treegraph
 
Reported: 2012-07-20 14:56 EDT by Og Maciel
Modified: 2013-08-16 13:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
New user creation displayed two conflicting notifications in the UI and displayed the Users list without the user. This fix corrects the search validation after user creation. New user creation works without error and the Users list displays the new user after creation.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:47:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (73.43 KB, image/png)
2012-07-20 14:56 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-07-20 14:56:44 EDT
Created attachment 599439 [details]
Screenshot

Description of problem:

Creating a new user displays 2 notifications in the web ui:

* stating that the user was successfully created
* stating '' did not meet the current search criteria and is not being shown.

Furthermore, the new user is not displayed in the Users list and one has to reload the page in order to see it.

Version-Release number of selected component (if applicable):

* candlepin-0.5.32-1.el6.noarch
* candlepin-tomcat6-0.5.32-1.el6.noarch
* katello-0.2.47-1.git.225.b3aa579.el6_3.noarch
* katello-all-0.2.47-1.git.225.b3aa579.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.6-1.el6.noarch
* katello-cli-0.2.43-1.git.16.350a9f2.el6_3.noarch
* katello-cli-common-0.2.43-1.git.16.350a9f2.el6_3.noarch
* katello-common-0.2.47-1.git.225.b3aa579.el6_3.noarch
* katello-configure-0.2.30-1.git.16.0e273d4.el6_3.noarch
* katello-glue-candlepin-0.2.47-1.git.225.b3aa579.el6_3.noarch
* katello-glue-foreman-0.2.47-1.git.225.b3aa579.el6_3.noarch
* katello-glue-pulp-0.2.47-1.git.225.b3aa579.el6_3.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.2.6-1.el6.noarch
* pulp-1.1.11-1.el6.noarch
* pulp-common-1.1.11-1.el6.noarch
* pulp-selinux-server-1.1.11-1.el6.noarch

How reproducible:


Steps to Reproduce:
1. Log in as the admin user and select the Users submenu from the Administer dropdown
2. Click the +New User link and fill out the form with valid data
3. Create the user
  
Actual results:

The screen displays 2 notifications, one stating the user was created, the other complaining of search criteria <blank>

Expected results:

Notification stating the correct status of the operation.

Additional info:

POST:  utf8=%E2%9C%93&authenticity_token=fhu8c5TiwCsKQjT7r9BOYIYPZ9ZqTb5KJmWcee56IaM%3D&user%5Busername%5D=mmccune&user%5Bpassword%5D=foobar&user%5Bpassword%5D=foobar&user%5Bemail%5D=blah.blah%40gmail.com&org_id%5Borg_id%5D=4&authenticity_token=fhu8c5TiwCsKQjT7r9BOYIYPZ9ZqTb5KJmWcee56IaM%3D&user%5Benv_id%5D=9

GET: {"new_notices":[{"id":112,"level":"message","text":"'' did not meet the current search criteria and is not being shown.","request_type":"users___create"}],"unread_count":112}
Comment 1 Adam Price 2012-08-02 16:01:46 EDT
merged in commit 309826f2fa56fd4a630b058fefa8aa9f4b184ce5
Comment 2 Adam Price 2012-09-04 12:29:00 EDT
*** Bug 854275 has been marked as a duplicate of this bug. ***
Comment 4 Og Maciel 2012-09-14 17:24:38 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 6 errata-xmlrpc 2012-12-04 14:47:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 7 Mike McCune 2013-08-16 13:55:52 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.